﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using Infragistics.Controls.Menus;
using IGDocumentation;

namespace WpfApplication297
{
   public  class NodeToTextConverter:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();

            if (value is XamDataTreeNode)
            {
                XamDataTreeNode xdtn = value as XamDataTreeNode;

                if (xdtn.Data is Product)
                {
                    return ((Product)xdtn.Data).ProductName;
                }
                else
                {
                    return ((Category)xdtn.Data).CategoryName;
                }

                return  xdtn.Data.ToString();
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
           // throw new NotImplementedException();
            return value;
        }
    }

}
